package shop.alien.store.service;

import org.springframework.data.geo.Point;
import shop.alien.entity.store.dto.NearMeDto;

import java.util.List;

public interface NearMeService {

    void inGeolocation(Point point, String content, Boolean flag);

    List<NearMeDto> nearbyMerchants(Double lon, Double lat, Double distance, Boolean flag);

    Long removeGeolocation(Boolean flag, String content);

}
